http://es.{region}.amazonaws.com/2015-01-01/es/ccs/outboundConnectionCreates a new cross-cluster search connection from a source domain to a destination domain.
Specifies the connection alias that will be used by the customer for this connection.
Specifies the <code><a>DomainInformation</a></code> for the source Elasticsearch domain.
Specifies the <code><a>DomainInformation</a></code> for the destination Elasticsearch domain.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://es.{region}.amazonaws.com/2015-01-01/es/ccs/outboundConnection' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://es.{region}.amazonaws.com/2015-01-01/es/ccs/outboundConnectionCreates a new cross-cluster search connection from a source domain to a destination domain.
Specifies the connection alias that will be used by the customer for this connection.
Specifies the <code><a>DomainInformation</a></code> for the source Elasticsearch domain.
Specifies the <code><a>DomainInformation</a></code> for the destination Elasticsearch domain.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://es.{region}.amazonaws.com/2015-01-01/es/ccs/outboundConnection' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}